# mrwimage.hpp File Reference

Minolta RAW image, implemented using the following references: Minolta Raw file format by Dalibor Jelinek. More...

`#include "exif.hpp"`
`#include "iptc.hpp"`
`#include "image.hpp"`
`#include <string>`

Include dependency graph for mrwimage.hpp:

## Namespaces

namespace | Exiv2
namespace | Exiv2::ImageType

## Classes

class | Exiv2::MrwImage
| Class to access raw MRW images. Exif metadata is supported directly, IPTC is read from the Exif data, if present. More...

## Functions

Image::AutoPtr | Exiv2::newMrwInstance (BasicIo::AutoPtr io, bool create)
| Create a new MrwImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
bool | Exiv2::isMrwType (BasicIo &iIo, bool advance)
| Check if the file iIo is a MRW image.

## Variables

const int | Exiv2::ImageType::mrw = 5
| MRW image type (see class MrwImage).

## Detailed Description

Minolta RAW image, implemented using the following references: Minolta Raw file format by Dalibor Jelinek.

Version:
  Rev
    797

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  13-May-06, ahu: created